Help with Theme Hospital

Closed
Report
-
 Hugo -
Hello, i'm currently having difficulty installing 'theme hospital' I can read the disk and it begins setup but then it says "Theme Hospital requires Windows 95 or Windows NT4 or higher. I have windows vista! why wont it work?
thanks heaps!

2 replies

I have the exact same problem :(
4
Thank you

A few words of thanks would be greatly appreciated. Add comment

CCM 2821 users have said thank you to us this month

I have the same problem, although i use windows 7
at least we know it's not one of the vista-problems!